Package org.kapott.hbci.sepa.jaxb.pain_002_001_10

## Class OtherContact1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_10.OtherContact1

    public class OtherContact1
    extends java.lang.Object

Java class for OtherContact1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OtherContact1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ChanlTp" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}Max4Text"/>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}Max128Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `chanlTp`
`protected java.lang.String` `id`

### Constructor Summary

Constructors
`OtherContact1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getChanlTp()` Gets the value of the chanlTp property.
`java.lang.String` `getId()` Gets the value of the id property.
`void` `setChanlTp​(java.lang.String value)` Sets the value of the chanlTp property.
`void` `setId​(java.lang.String value)` Sets the value of the id property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### chanlTp

    protected java.lang.String chanlTp

#### id

    protected java.lang.String id

### Constructor Detail

#### OtherContact1

    public OtherContact1()

### Method Detail

#### getChanlTp

    public java.lang.String getChanlTp()

Gets the value of the chanlTp property.

Returns:
  possible object is `String`

#### setChanlTp

    public void setChanlTp​(java.lang.String value)

Sets the value of the chanlTp property.

Parameters:
  `value` - allowed object is `String`

#### getId

    public java.lang.String getId()

Gets the value of the id property.

Returns:
  possible object is `String`

#### setId

    public void setId​(java.lang.String value)

Sets the value of the id property.

Parameters:
  `value` - allowed object is `String`